#include "guess.h"
int find_number(int MAX) {
    int l=1,d=1000000000;
    int rez;
    while(l<=d){
        int s=l+d>>1;
        if(smaller(s)){
            rez=s;
            d=s-1;
        }
        else
            l=s+1;
    }
    return rez+1;
}

